From fefe3a4f571b966e5cd84967c135acbe82fe8d37 Mon Sep 17 00:00:00 2001
From: Christian Ullrich <chris@chrullrich.net>
Date: Wed, 16 Nov 2016 16:07:01 +0100
Subject: [PATCH] Cosmetic fixes (whitespace, NULL instead of 0).

---
 src/port/win32env.c | 42 +++++++++++-------------------------------
 1 file changed, 11 insertions(+), 31 deletions(-)

diff --git a/src/port/win32env.c b/src/port/win32env.c
index e64065c..478ec1d 100644
--- a/src/port/win32env.c
+++ b/src/port/win32env.c
@@ -45,36 +45,16 @@ pgwin32_putenv(const char *envval)
 		PUTENVPROC	putenvFunc;
 	}			rtmodules[] =
 	{
-		{
-			"msvcrt", 0, NULL
-		},						/* Visual Studio 6.0 / mingw */
-		{
-			"msvcr70", 0, NULL
-		},						/* Visual Studio 2002 */
-		{
-			"msvcr71", 0, NULL
-		},						/* Visual Studio 2003 */
-		{
-			"msvcr80", 0, NULL
-		},						/* Visual Studio 2005 */
-		{
-			"msvcr90", 0, NULL
-		},						/* Visual Studio 2008 */
-		{
-			"msvcr100", 0, NULL
-		},						/* Visual Studio 2010 */
-		{
-			"msvcr110", 0, NULL
-		},						/* Visual Studio 2012 */
-		{
-			"msvcr120", 0, NULL
-		},						/* Visual Studio 2013 */
-		{
-			"ucrtbase", 0, NULL
-		},						/* Visual Studio 2015 and later */
-		{
-			NULL, 0, NULL
-		}
+		{ "msvcrt",   NULL, NULL },		/* Visual Studio 6.0 / mingw */
+		{ "msvcr70",  NULL, NULL },		/* Visual Studio 2002 */
+		{ "msvcr71",  NULL, NULL },		/* Visual Studio 2003 */
+		{ "msvcr80",  NULL, NULL },		/* Visual Studio 2005 */
+		{ "msvcr90",  NULL, NULL },		/* Visual Studio 2008 */
+		{ "msvcr100", NULL, NULL },		/* Visual Studio 2010 */
+		{ "msvcr110", NULL, NULL },		/* Visual Studio 2012 */
+		{ "msvcr120", NULL, NULL },		/* Visual Studio 2013 */
+		{ "ucrtbase", NULL, NULL },		/* Visual Studio 2015 and later */
+		{ NULL, NULL, NULL }
 	};
 	int			i;
 
@@ -82,7 +62,7 @@ pgwin32_putenv(const char *envval)
 	{
 		if (rtmodules[i].putenvFunc == NULL)
 		{
-			if (rtmodules[i].hmodule == 0)
+			if (rtmodules[i].hmodule == NULL)
 			{
 				/* Not attempted before, so try to find this DLL */
 				rtmodules[i].hmodule = GetModuleHandle(rtmodules[i].modulename);
-- 
2.10.2.windows.1

